Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicInternalFrameUI.GlassPaneDispatcher

    java.lang.Object
      javax.swing.plaf.basic.BasicInternalFrameUI.GlassPaneDispatcher

All Implemented Interfaces:
  EventListener, MouseInputListener, MouseListener, MouseMotionListener

Enclosing class:
  BasicInternalFrameUI

protected class BasicInternalFrameUI.GlassPaneDispatcher
extends Object
implements MouseInputListener

Constructor Summary
`protected` | `BasicInternalFrameUI.GlassPaneDispatcher()`

Method Summary
`void` | `mouseClicked(MouseEvent e)` Ignore mouseClicked events.
`void` | `mouseDragged(MouseEvent e)` Forward the mouseDragged event to the underlying child container.
`void` | `mouseEntered(MouseEvent e)` Forward the mouseEntered event to the underlying child container.
`void` | `mouseExited(MouseEvent e)` Forward the mouseExited event to the underlying child container.
`void` | `mouseMoved(MouseEvent e)` Forward the mouseMoved event to the underlying child container.
`void` | `mousePressed(MouseEvent e)` When inactive, mouse events are forwarded as appropriate either to the UI to activate the frame or to the underlying child component.
`void` | `mouseReleased(MouseEvent e)` Forward the mouseReleased event to the underlying child container.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicInternalFrameUI.GlassPaneDispatcher

    protected BasicInternalFrameUI.GlassPaneDispatcher()

Method Detail

### mousePressed

    public void mousePressed(MouseEvent e)

  When inactive, mouse events are forwarded as appropriate either to the UI to activate the frame or to the underlying child component.

  Specified by:
    `mousePressed` in interface `MouseListener`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Forward the mouseEntered event to the underlying child container.

  Specified by:
    `mouseEntered` in interface `MouseListener`
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Forward the mouseMoved event to the underlying child container.

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

### mouseExited

    public void mouseExited(MouseEvent e)

  Forward the mouseExited event to the underlying child container.

  Specified by:
    `mouseExited` in interface `MouseListener`
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Ignore mouseClicked events.

  Specified by:
    `mouseClicked` in interface `MouseListener`
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Forward the mouseReleased event to the underlying child container.

  Specified by:
    `mouseReleased` in interface `MouseListener`
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Forward the mouseDragged event to the underlying child container.

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.